Try the latest effort - community version to replace the current 1.7.1